incubator-bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@apache.org
Subject svn commit: r1190653 - in /incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop: hadoop.daemon.postinst.tpl rules
Date Fri, 28 Oct 2011 22:56:10 GMT
Author: rvs
Date: Fri Oct 28 22:56:10 2011
New Revision: 1190653

URL: http://svn.apache.org/viewvc?rev=1190653&view=rev
Log:
BIGTOP-105. hadoop services can not be started with the default configs in place

Added:
    incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/hadoop.daemon.postinst.tpl
Modified:
    incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/rules

Added: incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/hadoop.daemon.postinst.tpl
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/hadoop.daemon.postinst.tpl?rev=1190653&view=auto
==============================================================================
--- incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/hadoop.daemon.postinst.tpl (added)
+++ incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/hadoop.daemon.postinst.tpl Fri Oct
28 22:56:10 2011
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+if [ -x "/etc/init.d/hadoop-@HADOOP_DAEMON@" ]; then
+	update-rc.d hadoop-@HADOOP_DAEMON@ defaults >/dev/null
+	if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+		invoke-rc.d hadoop-@HADOOP_DAEMON@ start || :
+	else
+		/etc/init.d/hadoop-@HADOOP_DAEMON@ start || :
+	fi
+fi

Modified: incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/rules
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/rules?rev=1190653&r1=1190652&r2=1190653&view=diff
==============================================================================
--- incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/rules (original)
+++ incubator/bigtop/trunk/bigtop-packages/src/deb/hadoop/rules Fri Oct 28 22:56:10 2011
@@ -83,6 +83,8 @@ namenode secondarynamenode jobtracker ta
 	sed -e "s|@HADOOP_DAEMON@|$@|" \
             -e "s|@HADOOP_MAJOR_VERSION@|$hadoop_version|" \
 	    -e "s|@DAEMON_USER@|$($@_user)|" $< > debian/hadoop-$@.init
+	# FIXME: workaround for BIGTOP-105
+	sed -e "s|@HADOOP_DAEMON@|$@|" < debian/hadoop.daemon.postinst.tpl > debian/hadoop-$@.postinst
 
 install-indep: namenode secondarynamenode jobtracker tasktracker datanode
 	mkdir -p debian/tmp/etc/default



Mime
View raw message